Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029478
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POStrivialhave not tried2015-03-31 16:132015-06-19 10:30
ReporteraaroncaleroView Statuspublic 
Assigned Toaaroncalero 
PrioritynormalResolutionfixedFixed in VersionRR15Q3
StatusclosedFix in branchFixed in SCM revision20828cc11541
ProjectionnoneETAnoneTarget VersionRR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029478: Provide an API to do transactional OB.Dal calls

DescriptionCurrently Mobile Core is missing a way of executing sql transactions using OB.Dal functions (e.g. OB.Dal.find, OB.Dal.get,...).
We need a way to ensure that a set of OB.Dal calls are executed transactionally.
Steps To ReproduceTry to write 2 OB.Dal actions in a transaction.
Verufy that it is not possible as each OB.Dal action creates its own transaction.
Proposed SolutionCreate a new set of OB.Dal functions that explicitly state that they are going to be executed in a transaction.
TagsNo tags attached.
Attached Filespatch file icon Q2.1_core_29478.patch [^] (17,766 bytes) 2015-06-16 09:23 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0030209RR15Q2.3 closedaaroncalero Provide an API to do transactional OB.Dal calls 
blocks defect 0029302RR15Q3 closedaaroncalero In paymentmethodcashup table one ticket can be added 2 times 

-  Notes
(0076177)
aaroncalero (developer)
2015-03-31 16:20

The wiki must be updated with this information as soon as it's confirmed to be stable (i.e. tests are not broken)
(0076310)
hgbot (developer)
2015-04-01 14:23

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 7bc0fa1ceae1cdba0aae5df329479f5b5bd6ed6a
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Wed Apr 01 14:16:36 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7bc0fa1ceae1cdba0aae5df329479f5b5bd6ed6a [^]

Fixed issue 29478: Provide an API to do transactional OB.Dal calls

Added a new set of functions to OB.Dal to allow transactions.
Updated the existing functions.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.mobile.core/source/data/ob-dal.js
---
(0076668)
aaroncalero (developer)
2015-04-22 09:08

Reopened to apply a refactor to reduce the API complexity and to lower the number of new variables needed.
(0076670)
hgbot (developer)
2015-04-22 09:16

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 20828cc11541b31458bc7142d11102fb20531408
Author: Aaron Calero <aaron.calero <at> openbravo.com>
Date: Wed Apr 22 09:10:04 2015 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/20828cc11541b31458bc7142d11102fb20531408 [^]

Fixed issue 29478: Provide an API to do transactional OB.Dal calls

Applied a refactor to reduce the API complexity and to lower the number of new variables needed.

---
M web/org.openbravo.mobile.core/source/data/ob-dal.js
---

- Issue History
Date Modified Username Field Change
2015-03-31 16:13 aaroncalero New Issue
2015-03-31 16:13 aaroncalero Assigned To => aaroncalero
2015-03-31 16:13 aaroncalero Triggers an Emergency Pack => No
2015-03-31 16:20 aaroncalero Note Added: 0076177
2015-04-01 14:23 hgbot Checkin
2015-04-01 14:23 hgbot Note Added: 0076310
2015-04-01 14:23 hgbot Status new => resolved
2015-04-01 14:23 hgbot Resolution open => fixed
2015-04-01 14:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7bc0fa1ceae1cdba0aae5df329479f5b5bd6ed6a [^]
2015-04-17 14:01 dmitry_mezentsev Review Assigned To => marvintm
2015-04-20 11:17 marvintm Status resolved => closed
2015-04-20 11:17 marvintm Fixed in Version => RR15Q3
2015-04-22 09:08 aaroncalero Note Added: 0076668
2015-04-22 09:08 aaroncalero Status closed => new
2015-04-22 09:08 aaroncalero Resolution fixed => open
2015-04-22 09:08 aaroncalero Fixed in Version RR15Q3 =>
2015-04-22 09:12 aaroncalero Relationship added blocks 0029302
2015-04-22 09:16 hgbot Checkin
2015-04-22 09:16 hgbot Note Added: 0076670
2015-04-22 09:16 hgbot Status new => resolved
2015-04-22 09:16 hgbot Resolution open => fixed
2015-04-22 09:16 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/7bc0fa1ceae1cdba0aae5df329479f5b5bd6ed6a [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/20828cc11541b31458bc7142d11102fb20531408 [^]
2015-04-22 15:10 Orekaria Relationship added causes 0029670
2015-04-22 15:11 Orekaria Relationship deleted causes 0029670
2015-05-13 18:12 marvintm Status resolved => closed
2015-05-13 18:12 marvintm Fixed in Version => RR15Q3
2015-06-16 09:23 Orekaria File Added: Q2.1_core_29478.patch
2015-06-19 10:29 Orekaria Status closed => new
2015-06-19 10:29 Orekaria Resolution fixed => open
2015-06-19 10:29 Orekaria Fixed in Version RR15Q3 =>
2015-06-19 10:29 Orekaria Status new => scheduled
2015-06-19 10:30 Orekaria Status scheduled => resolved
2015-06-19 10:30 Orekaria Fixed in Version => RR15Q3
2015-06-19 10:30 Orekaria Resolution open => fixed
2015-06-19 10:30 Orekaria Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker